# Remove Registration

#### Description
You can use the `status` property of a `Registration` to manage a list of registrants. However, we provide a `DELETE` method as a more idiomatic approach if your application doesn't require the ability to manage multiple registration statuses.

This will update the Registration's status to be `removed`. This will remove it from the list of Registrations associated with the Bookable Event and remove the `metadata` associated with the registration.

#### URL format
```
{data_center_url}/v1/bookable_events/{bookable_event_id}/registrations/{registration_id}
```

#### Example Request
```http
DELETE /v1/bookable_events/{bookable_event_id}/registrations/{registration_id} HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {API_KEY}
Content-Type: application/json; charset=utf-8
```

#### Example Response
```http
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
  "bookable_event_id": "83hi8qhfiaif",
  "start": "2026-04-26T12:30:00Z",
  "end": "2026-04-26T17:00:00Z",
  "status": "confirmed",
  "registration": {
    "capacity": 5,
    "registered_count": 0,
    "total_count": 1,
    "registrations": [
      {
        "registration_id": "87326",
        "status": "removed",
        "metadata": null
      }
    ]
  }
}
```

#### Request parameters
##### `data_center_url` *(required)*

The URL for the data center you want to communicate with. Possible choices are:

- `api-au.cronofy.com` - Australia
- `api-ca.cronofy.com` - Canada
- `api-de.cronofy.com` - Germany
- `api-sg.cronofy.com` - Singapore
- `api-uk.cronofy.com` - United Kingdom
- `api.cronofy.com` - United States

Find out more about [Cronofy's data centers](/developers/data-centers/index.md).
##### `bookable_event_id` *(required)*

Your application's unique identifier for the Bookable Event as a [`String`](/developers/api/data-types/index.md).

##### `registration_id` *(required)*

The [`String`](/developers/api/data-types/index.md) that uniquely identifies the registration within the Bookable Event.

#### Response parameters
The Bookable Event resource. See [Read Bookable Event](/developers/api/scheduling/bookable-events/read/index.md)



---
[Read in HTML](/developers/api/scheduling/bookable-events/registrations/delete/)